Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I had recently upgraded to php 5.4 but it was not working for me so I thought I'd remove php 5.4 and re-install php 5.3.

I uninstalled php5.4, removed the dotdeb sources from sources.list file, ran apt-get update, reinstalled php5, but it still installed php 5.4 from dotdeb, instead of using original debian repositories.

Here's what dpkg -l | grep php returns

# dpkg -l | grep php
ii  libapache2-mod-php5                 5.4.4-15                     server-side                                                                                        , HTML-embedded scripting language (Apache 2 module)
rc  libapache2-mod-php5filter           5.4.16-1~dotdeb.0            server-side                                                                                        , HTML-embedded scripting language (apache 2 filter module)
rc  libapache2-mod-suphp                0.7.1-1                      Apache2 mod                                                                                        ule to run php scripts with the owner permissions
rc  php-pear                            5.3.3-7+squeeze15            PEAR - PHP                                                                                         Extension and Application Repository
ii  php5                                5.4.4-15                     server-side                                                                                        , HTML-embedded scripting language (metapackage)
rc  php5-cgi                            5.4.16-1~dotdeb.0            server-side                                                                                        , HTML-embedded scripting language (CGI binary)
ii  php5-cli                            5.4.4-15                     command-lin                                                                                        e interpreter for the php5 scripting language
ii  php5-common                         5.4.4-15                     Common file                                                                                        s for packages built from the php5 source
rc  php5-curl                           5.4.16-1~dotdeb.0            CURL module                                                                                         for php5
rc  php5-gd                             5.4.16-1~dotdeb.0            GD module f                                                                                        or php5
rc  php5-imagick                        5.4.16-1~dotdeb.0            imagick mod                                                                                        ule for php5
rc  php5-imap                           5.4.16-1~dotdeb.0            IMAP module                                                                                         for php5
rc  php5-intl                           5.4.16-1~dotdeb.0            internation                                                                                        alisation module for php5
rc  php5-mcrypt                         5.4.16-1~dotdeb.0            MCrypt modu                                                                                        le for php5
rc  php5-mysql                          5.4.16-1~dotdeb.0            MySQL modul                                                                                        e for php5
rc  php5-mysqlnd                        5.4.16-1~dotdeb.0            MySQL modul                                                                                        e for php5 (Native Driver)
rc  php5-pgsql                          5.4.16-1~dotdeb.0            PostgreSQL                                                                                         module for php5
rc  php5-pspell                         5.4.16-1~dotdeb.0            pspell modu                                                                                        le for php5
rc  phpmyadmin                          4:3.4.11.1-2                 MySQL web a                                                                                        dministration tool
rc  suphp-common                        0.7.1-1                      Common file                                                                                        s for mod suphp
share|improve this question
    
Check that there isn't a dotdeb file in /etc/apt/sources.list.das well. –  espenfjo Jun 21 '13 at 17:22
    
Check this out: grep -R dotdeb /etc/apt –  cstamas Jun 21 '13 at 19:27
add comment

1 Answer

"rc" means the configuration files exist. Type apt-get remove php5 --purge to completely get rid of it, then install from official.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.